// MS5611Sensor.h

#ifndef MS5611SENSOR_H
#define MS5611SENSOR_H

#include <MS5611.h>

class MS5611Sensor {
public:
  MS5611Sensor(); // Constructor
  void init(); // Initialize without temperature and humidity
  void read_values(double* temperature, double* preasure, double* altitude);

private:
  uint8_t _address; // MS5611 I2C address
  MS5611 ms5611; // MS5611 object
};

#endif // MS5611SENSOR_H
